---
- name: Update and Upgrade Ubuntu VMs
  hosts: all
  become: yes              

  tasks:
    - name: Update package list
      apt:
        update_cache: yes
      tags:
        - update

    - name: Upgrade packages
      apt:
        upgrade: dist
        autoremove: yes     
        autoclean: yes      
      tags:
        - upgrade
